#ifndef _UART_H_
#define _UART_H_
#include <xc.h>
#include <stdio.h>
#include <stdlib.h>

/************************************************************
 *  UART Serial Functions
*/



#define u1_data_avail U1STAbits.URXDA  
unsigned char getu(void) {
    while (!u1_data_avail); //wait till data ready 
    
    char dat;
    dat = U1RXREG;
    return (dat);
}

#define u2_data_avail U2STAbits.URXDA  
unsigned char getu2(void) {
    while (!u2_data_avail); //wait till data ready 
    
    char dat;
    dat = U2RXREG;
    return (dat);
}

#define u1_buff_full U1STAbits.UTXBF
void putu(char dat) {
    
   while (u1_buff_full); // wait if buffer full
   U1TXREG = dat;
}

#define u2_buff_full U2STAbits.UTXBF
void putu2(char dat) {
    
   while (u2_buff_full); // wait if buffer full
   U2TXREG = dat;
}

void __attribute__((weak)) _mon_putc(char c) {
   putu(c);
}

#endif //UART